spades (4.0.0+really3.15.5+dfsg-2) unstable; urgency=medium

  [ Pierre Gruet ]
  * Adding d/README.source to warn against future uploads of spades 4.x

  [ Nilesh Patra ]
  * Fixup FTBFS with gcc-15 (Closes: #1097913)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 20 Sep 2025 02:36:42 +0530

spades (4.0.0+really3.15.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.0.0+really3.15.5+dfsg, reverting to last version in
    testing
  * Reverting patches, d/control, and d/rules from version 3.15.5+dfsg-8
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sat, 12 Apr 2025 11:33:01 +0200

spades (4.0.0+dfsg1-2) unstable; urgency=low

  * Remove listed license files (ext/src/hmmer/libdivsufsort/COPYING) from copyright.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Feb 2025 11:28:59 +0100

spades (4.0.0+dfsg1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 4.0.0+dfsg1
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Rewriting d/copyright
  * Changing the paths of the files to remove when repacking
  * Updating the list of files to exclude when repacking
  * Updating files related to shipped doc in the debian/ directory
  * Removing the now useless override of dh_installchangelogs
  * Using bamtools, googletest, spoa, boost, cuckoo, joblib and xxhash from the
    Debian packages instead of embedded copies, updating d/control accordingly
  * Updating paths in d/rules
  * Adding missing files to the CMakeLists.txt file of the samtools part
  * Deactivating build-time tests of which test data have vanished from the
    source package
  * Updating homepage URI
  * Removing obsolete Lintian override for source-is-missing
  * Adding a Lintian override for the embedded (modified) copy of Zlib

 -- Pierre Gruet <pgt@debian.org>  Wed, 02 Oct 2024 08:56:41 +0200

spades (3.15.5+dfsg-8) unstable; urgency=medium

  * Team upload
  * Fixing Python3 SyntaxWarning by using raw regex patterns (Closes: #1087093)

 -- Pierre Gruet <pgt@debian.org>  Sat, 14 Dec 2024 00:09:08 +0100

spades (3.15.5+dfsg-7) unstable; urgency=medium

  * Replace distutils which is removed in Python3.12
    Closes: #1061846
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Depends: s/python3-distutils/python3-packaging/

 -- Andreas Tille <tille@debian.org>  Fri, 02 Feb 2024 09:16:42 +0100

spades (3.15.5+dfsg-6) unstable; urgency=medium

  * d/rules: disable lto builds.
    Upstream is aware that there is a problem with lto appllied on spades,
    and this seems to be caused by a lingering compiler bug. (Closes: #1015668)

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Dec 2023 14:52:02 +0100

spades (3.15.5+dfsg-5) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * Add missing libzstd-dev build dependency
    Closes: #1052315 (LP: #2036726)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Sep 2023 13:22:20 +0200

spades (3.15.5+dfsg-4) unstable; urgency=medium

  * d/control: spades is AMD64 only, as per upstream. Closes: #976523
  * d/patches: mark many as not needing forwarding

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Aug 2023 12:45:25 +0200

spades (3.15.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add fix-gcc13.patch to fix gcc-13 build issues. (Closes: #1037863)

 -- Bo YU <tsu.yubo@gmail.com>  Thu, 20 Jul 2023 21:38:50 +0800

spades (3.15.5+dfsg-2) unstable; urgency=medium

  * d/control: add missing build-deps following llvm reorganization.
    (Closes: #1022309)
  * yaml_load.patch: update to fix new pyyaml.load calls. (Closes: #1022086)
  * d/copyright: bump copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sun, 23 Oct 2022 16:59:13 +0200

spades (3.15.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.15.5+dfsg
  * d/patches/:
    + fix-privacy-breaches.patch: update badges list.
    + python3.patch: refresh.
    + 0003_accept-system-bwa.patch: unfuzz.
    + yaml_load.patch: unfuzz.
  * d/m/coronaspades.1.adoc: add manual page for coronaspades.
  * d/links: create a link for coronaspades.py manual.
  * d/t/run-upstreams-tests: add self tests for plasmidspades and coronaspades.
    Also, the truspades command is deprecated, so don't make it's self-test
    failure critical.
  * d/salsa-ci.yml: disable run for i386 architecture.
  * d/NEWS: forward deprecation of truspades with notice it may not work well.

 -- Étienne Mollier <emollier@debian.org>  Mon, 01 Aug 2022 21:11:59 +0200

spades (3.15.4+dfsg-3) unstable; urgency=medium

  * d/t/run-upstreams-tests: make tests a bit more verbose.
  * Adjust 0003_accept-system-bwa.patch: import support functions.
    (Closes: #1011968)
  * Refresh yaml_load.patch.
  * Remove patches not part of d/p/series anymore.
  * Add fix-privacy-breaches.patch: remove build status badges.
  * Add typos.patch: fix typos caught by lintian.
  * d/copyright: reorder to match globbing properly.
  * d/s/lintian-overrides: unclear why html files are missing source code.
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 25 Jun 2022 17:41:51 +0200

spades (3.15.4+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * d/patches/0003_accept-system-bwa.patch - refactored 'which'
    Closes: #1010788

  [ Andreas Tille ]
  * Review copyright

 -- Lance Lin <LQi254@protonmail.com>  Tue, 10 May 2022 20:15:40 +0700

spades (3.15.4+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Refreshed patches
  * debian/upstream/metadata: Added many missing papers
  * remove assembler/ext/src/llvm/ConvertUTF.cpp
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

  [ Steffen Moeller ]
  * d/u/metadata
    - yamllint cleanliness
    - added ref to bioconda
  * Add salsa-ci file (routine-update)
  * Refer to common license file for Apache-2.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Upstream addressed / -> // in generate_quality (less nice, though)
  * Prepared PRs for spelling errors found by Michael

  [ Andreas Tille ]
  * Adjust patches
  * Remove redundant gbp.conf

  [ Juhani Numminen ]
  * Enable parallel builds by ignoring spades_compile.sh
    - Fix patches for the bypassing of spades_compile.sh
  * Remove gcc7.patch: applied upstream
  * python3.patch: add coronaspades.py and before_start_stage.py
  * Simplify debian/rules: do not attempt to run as-installed tests before
    installation
  * Install scripts under FHS-compliant path /usr/libexec/spades/
    - Adjust 0118_adjust_spades_home_again.patch
  * Add patches to make the test suite runnable
  * d/links: Add new binary coronaspades(.py)
  * Remove unused adapt_to_debian_pathes.patch
  * Add d/clean for test artifacts
  * Add disable_local_convertutf.patch: to cover for dfsg-removed ConvertUTF.o,
    link against system's LLVMSupport.a
  * Build-Deps: does not build python extensions; s/python3-dev/python3-all/
  * Depends: remove explicit shared libs (handled as ${shlibs:Depends})
  * Use vendored boost which has local modifications to avoid include problems
    during program use.

  [ Étienne Mollier ]
  * Add fix-sigill-on-non-popcnt-cpus.patch; fixes baseline violation.

  [ Andreas Tille ]
  * d/watch:
     - Fix to detect new versions on github (routine-update)
     - Use proper filename for download
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on asciidoctor.

  [ Étienne Mollier ]
  * Adjust fix-sigill-on-non-popcnt-cpus.patch to not overflow on large int.
  * d/control: add myself to Uploaders.

 -- Étienne Mollier <emollier@debian.org>  Mon, 11 Apr 2022 21:30:33 +0200

spades (3.13.1+dfsg-2) unstable; urgency=medium

  * Depends: python3-distutils

 -- Andreas Tille <tille@debian.org>  Fri, 22 Nov 2019 10:48:44 +0100

spades (3.13.1+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * Moved packaging to Python3
    Closes: #938521
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Repository.
  * Make sure Python3 interpreter is used in scripts
  * Specify yaml loader
  * Drop webvis dir from source which has compressed JS but its not used
    in the binary package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 15:34:43 +0100

spades (3.13.0+dfsg2-2) unstable; urgency=medium

  * Also remove jemalloc from (build-)depends.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 10:12:47 -0800

spades (3.13.0+dfsg2-1) unstable; urgency=medium

  * Restore the bundled jemalloc as Debian's package is too new.
  * Pull releases from GitHib.
  * Standards-Version: 4.3.0 (no changes needed)
  * Install README.md to /usr/share/doc/spades/

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 07:54:34 -0800

spades (3.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream has removed dipspades

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 22:08:43 +0200

spades (3.12.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #897867
  * Fix watch file
  * Add dh-python

  [ Alexandre Mestiashvili ]
  * Add tmp link for tests for spades-bwa
  * Update override_dh_auto_test: implement a workaround so dh_auto_test
    can access data files
  * Add bwa to d/tests/control
  * Remove *.pyc files
  * Add patch 0118_adjust_spades_home_again.patch
    replacing 0113_adjust_paths.patch
  * Update d/patches/spelling
  * Remove duplicated docs from /usr/share/spades
  * Bump Policy to 4.2.1, add myself to uploaders
  * Use https for copyright Format field, s/MIT/Expat/
  * Rename overridden tag to debian-watch-does-not-check-gpg-signature

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 10 Sep 2018 19:37:49 +0000

spades (3.11.1+dfsg-2) unstable; urgency=medium

  * Build-Depends: libnlopt-cxx-dev
    Closes: #902592
  * d/rules:
     + filter nocheck,$(DEB_BUILD_OPTIONS)
     + do not parse d/changelog
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 10:54:09 +0200

spades (3.11.1+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Bump Standards-Version.
  * Remove obsolete Testsuite: entry in d/control
  * Add d/copyright entry for new included BBHash headers.

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Dec 2017 00:29:26 +0000

spades (3.10.1+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with GCC 7.
    Closes: #853666
  * Update homepage.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Aug 2017 16:39:50 +0200

spades (3.10.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 16:31:57 +0000

spades (3.10.1+dfsg-1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version 3.10.1+dfsg

  [ Sascha Steinbiss ]
  * Build for experimental.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 21 Apr 2017 17:54:15 +0000

spades (3.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Dec 2016 06:31:19 +0000

spades (3.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add copyright entry for cxxopts.
  * Add rnaSPAdes manpage, wrappers, tests.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 24 Jul 2016 13:12:31 +0000

spades (3.8.2+dfsg2-1) unstable; urgency=medium

  * Make sure bundled headers are not used by cleaning orig tarball.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 19 Jul 2016 20:57:51 +0000

spades (3.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Adapt patches for new upstream code.
  * Remove unused override.
  * Build with debug symbols.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 11 Jul 2016 08:39:53 +0000

spades (3.8.1+dfsg-2) unstable; urgency=medium

  * Stop using embedded libnlopt, libssw and libhat-trie.
  * Update email addresses.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 02 Jul 2016 17:45:37 +0000

spades (3.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 13 Jun 2016 09:02:52 +0000

spades (3.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that are no longer necessary.
  * Update licenses.
  * Add metaspades and plasmidspades symlinks.
  * Add man page stubs for metaspades and plasmidspades.
  * Bump Standards-Version.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 05 Jun 2016 09:56:42 +0000

spades (3.7.1+dfsg-3) unstable; urgency=medium

  * Force LANG and LANGUAGE to ensure reproducibility.
  * Enable compiler messages.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 21 Apr 2016 14:44:14 +0000

spades (3.7.1+dfsg-2) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Use asciidoctor instead of ronn for reproducible man pages
  * enable full hardening
  * add override for pedantic Lintian msg
  * use correct YAML module
    Closes: #818584

  [ Afif Elghraoui ]
  * Replace patch with a sed command to fix python-yaml imports

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 18 Mar 2016 14:25:06 +0000

spades (3.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add gbp.conf to always use pristine-tar.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Mar 2016 07:23:31 +0000

spades (3.7.0+dfsg-1) unstable; urgency=medium

  * Make changelog building reproducible.
  * New upstream release.
  * Update d/copyright.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 24 Feb 2016 22:02:53 +0000

spades (3.6.2+dfsg-2) unstable; urgency=medium

  * Use Debian's jemalloc.
  * Fix spelling issues.
  * Bump Standards-Version.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 22 Feb 2016 09:27:51 +0000

spades (3.6.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #813988)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 07 Feb 2016 10:21:39 +0000
